tbb::missing_wait Class Reference

Exception for missing wait on structured_task_group. More...

`#include <tbb_exception.h>`

Inheritance diagram for tbb::missing_wait:
Collaboration diagram for tbb::missing_wait:

## Public Member Functions

const char * | what () const __TBB_override throw ()

## Detailed Description

Exception for missing wait on structured_task_group.

Definition at line 52 of file tbb_exception.h.

## Member Function Documentation

## what()

const char * tbb::missing_wait::what | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 55 of file tbb_misc.cpp.

{ return "wait() was not called on the structured_task_group"; }

The documentation for this class was generated from the following files:

- tbb_exception.h
- tbb_misc.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.